## libmafw 0.1.2009.38-1%2b0m5

=== debian/control ===
Source: libmafw
Section: misc
Priority: optional
Maintainer: Juha Kellokoski <veitikka6@gmail.com>
Build-Depends: debhelper (>= 5), libglib2.0-dev (>= 2.15), libsqlite3-dev, check, gtk-doc-tools, shared-mime-info
Standards-Version: 3.7.2

Package: libmafw0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, shared-mime-info, gvfs-backends
Description: MAFW UI library
 Media Application framework UI library.

Package: libmafw0-dbg
Architecture: any
Depends: libmafw0 (= ${binary:Version})
Priority: extra
Description: Debug symbols for libmafw
 Makes debugging a pleasure.

Package: libmafw0-dev
Architecture: all
Section: libdevel
Depends: libmafw0 (= ${binary:Version}), libglib2.0-dev (>= 2.15), libsqlite3-dev
Description: MAFW development package
 Development headers for libmafw.

Package: libmafw-doc
Architecture: all
Section: doc
Suggests: libmafw0
Description: Documentation for the MAFW UI library
 Contains the generated gtk-doc documentation.

Package: mafw-all
Architecture: all
Section: misc
Depends: mafw-dbus-daemon, mafw-playlist-daemon, mafw-tracker-source,
         mafw-gst-renderer, mafw-upnp-source, mafw-iradio-source
Description: Sensible MAFW runtime
 Metapackage depending on all main MAFW components.

Package: checkmore
Architecture: any
Depends: ${shlibs:Depends}, check (>= 0.9.4)
Suggests: dbus
Section: libdevel
Description: Enhancements to check, a unit test framework for C
 Contains functions to deal with chatty assertions, spawn and control child
 processes, and loads of workarounds (for Scratchbox and Qemu).
