## libmafw 0.1.2009.38-1+0m5

=== debian/changelog ===
libmafw (0.1.2009.38-1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Juha Kellokoski <ext-juha.kellokoski@nokia.com>  Thu, 17 Sep 2009 09:45:13 +0300

libmafw (0.1.2009.38-1) unstable; urgency=low

  * MAFW Sales RC11.

 -- Juha Kellokoski <veitikka6@gmail.com>  Wed, 16 Sep 2009 12:14:07 +0300

libmafw (0.1.2009.37-2) unstable; urgency=low

  * MAFW Sales RC8.
  * Fixes: NB#137386 - [PR1.1 proposal] dbus wrapper crashes observed
  * Fixes: NB#135873 - [PR1.1 proposal] Volume muted under certain scenarios
  * Fixes: NB#137248 - [PR1.1 proposal] Media Player Crashed when saved playlist is deleted while its content is being added to Now playing list
  * Fixes: NB#135596 - [PR1.1 proposal] MTG crashes when opening out renderer metadata view and no renderer is selected
  * Fixes: NB#134715 - [PR1.1 proposal] mafw-upnp-source shouldn't make a coredump when dbus isn't available
  * Fixes: NB#135457 - Attached songs are not showing in alphabitical order in album,artist,playlist library view

 -- Juha Kellokoski <veitikka6@gmail.com>  Fri, 11 Sep 2009 14:00:00 +0300

libmafw (0.1.2009.37-1) unstable; urgency=low

  * MAFW Sales RC6.

 -- Juha Kellokoski <veitikka6@gmail.com>  Thu, 10 Sep 2009 12:30:00 +0300

libmafw (0.1.2009.35-3) unstable; urgency=low

  * MAFW Sales RC4.

 -- Juha Kellokoski <veitikka6@gmail.com>  Tue, 25 Aug 2009 14:15:34 +0300

libmafw (0.1.2009.35-2) unstable; urgency=low

  * First MAFW Sales RC.

 -- Mika Tapojärvi <mika.tapojarvi@sse.fi>  Fri, 21 Aug 2009 16:23:55 +0300

libmafw (0.1.2009.33-3) unstable; urgency=low

  * Version increased.

 -- Mika Tapojärvi <mika.tapojarvi@sse.fi>  Mon, 10 Aug 2009 23:00:48 +0300

libmafw (0.1.2009.33-2) unstable; urgency=low

  * Version increased for pre-release, making sure there are no ABI breaks.

 -- Mika Tapojärvi <mika.tapojarvi@sse.fi>  Mon, 10 Aug 2009 12:27:34 +0300

libmafw (0.1.2009.33-1) unstable; urgency=low

  * MAFW, pre-release 0.2009.33-1
  * Build tests by default, but do not do so if building 
    in ARMEL.
  * Unit tests disabled when building .deb packages.

 -- Mika Tapojärvi <mika.tapojarvi@sse.fi>  Wed, 05 Aug 2009 12:31:25 +0300

libmafw (0.1.2009.32-1) unstable; urgency=low

  * MAFW, pre-release 0.1.2009.32-1

 -- Mika Tapojärvi <mika.tapojarvi@sse.fi>  Sun, 02 Aug 2009 22:32:15 +0300

libmafw (0.1.2009.30-3) unstable; urgency=low

  * MAFW, pre-release 0.2009.30-3

 -- Juha Kellokoski <veitikka6@gmail.com>  Wed, 22 Jul 2009 14:00:00 +0300

libmafw (0.1.2009.30-2) unstable; urgency=low

  * MAFW, pre-release 0.2009.30-2

 -- Juha Kellokoski <veitikka6@gmail.com>  Wed, 22 Jul 2009 14:00:00 +0300

libmafw (0.1.2009.30-1) unstable; urgency=low

  * MAFW, pre-release 0.2009.30-1
  * Fixing a test

 -- Juha Kellokoski <veitikka6@gmail.com>  Fri, 17 Jul 2009 14:00:00 +0300

libmafw (0.1.2009.28-2) unstable; urgency=low

  * MAFW, pre-release 0.2009.28-2
  * Changed signature in updating function/signal.

 -- Juha Kellokoski <veitikka6@gmail.com>  Tue, 07 Jul 2009 14:00:00 +0300

libmafw (0.1.2009.28-1) unstable; urgency=low

  * MAFW, pre-release 0.2009.28-1
  * Fixed segmentation fault in unit tests (test_get_metadatas). The
    Contents array was missing a NULL termination.

 -- Juha Kellokoski <veitikka6@gmail.com>  Fri, 03 Jul 2009 11:00:00 +0300

libmafw (0.1.2009.27-2) unstable; urgency=low

  * MAFW, pre-release 0.2009.27-2
  * Fixes: NB#124197 - 'error:Not Implemented' message displayed while tryin to delete video launched from camera. [S3 proposal]
  * Fixes: NB#122316 - Internet radio not usable after a non-valid bookmark used 

 -- Juha Kellokoski <veitikka6@gmail.com>  Tue, 30 Jun 2009 14:00:00 +0300

libmafw (0.1.2009.27-1) unstable; urgency=low

  * MAFW, pre-release 0.2009.27-1
  * Implement destroy_object for urisource. Destroy
    only when object-id points to local file, otherwise raise an error.
  * Added MAFW_METADATA_KEY_MODIFIED, being the last time a resource was 
    modified.

 -- Juha Kellokoski <veitikka6@gmail.com>  Thu, 25 Jun 2009 13:40:00 +0300

libmafw (0.1.2009.26-1) unstable; urgency=low

  * MAFW, pre-release 0.2009.26-1
  * Adding 2 metadata-keys for multiple-URI objects
  * Added a new function to get the source's updating progress
    (mafw_source_get_update_progress).

 -- Juha Kellokoski <veitikka6@gmail.com>  Tue, 23 Jun 2009 14:33:24 +0300

libmafw (0.1.2009.25-2) unstable; urgency=low

  * MAFW, pre-release 0.2009.25-2
  * Fixes: NB#122186 - Not able to import individual file through importing object id.
  * Add a new signal telling a source is updating.

 -- Juha Kellokoski <veitikka6@gmail.com>  Mon, 15 Jun 2009 14:00:00 +0300

libmafw (0.1.2009.25-1) unstable; urgency=low

  * MAFW, pre-release 0.2009.25-1

 -- Juha Kellokoski <veitikka6@gmail.com>  Fri, 12 Jun 2009 11:00:00 +0300

libmafw (0.1.2009.24-3) unstable; urgency=low

  * MAFW, pre-release 0.2009.24-3

 -- Juha Kellokoski <veitikka6@gmail.com>  Wed, 10 Jun 2009 11:00:00 +0300

libmafw (0.1.2009.24-2) unstable; urgency=low

  * MAFW, pre-release 0.2009.24-2
  * Added "mafw_renderer_get_current_metadata" function to the API.

 -- Juha Kellokoski <veitikka6@gmail.com>  Mon, 08 Jun 2009 11:00:00 +0300

libmafw (0.1.2009.24-1) unstable; urgency=low

  * MAFW, pre-release 0.2009.24-1
  * Fixes: NB#119741 - <coverity> Defects from MAFW

 -- Juha Kellokoski <veitikka6@gmail.com>  Thu, 04 Jun 2009 10:00:00 +0300

libmafw (0.1.2009.23-2) unstable; urgency=low

  * MAFW, pre-release 0.2009.23-2
  * Fixes: NB#119064 - Media Player crashes with signal 11 after every reboot. 

 -- Juha Kellokoski <veitikka6@gmail.com>  Tue, 02 Jun 2009 12:00:00 +0300

libmafw (0.1.2009.23-1) unstable; urgency=low

  * MAFW, pre-release 0.2009.23-1
  * Add static versions of MAFW_METADATA_KEY_CHILDCOUNT.
  * Extend MAFW_METADATA_KEY_CHILDCOUNT to specify at which level should the 
    count be done.


