## libmafw 0.1.2009.42-1%2b0m5

=== debian/changelog ===
libmafw (0.1.2009.42-1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- mika tapojarvi <ext-mika.tapojarvi@nokia.com>  Thu, 15 Oct 2009 14:13:01 +0300

libmafw (0.1.2009.42-1) unstable; urgency=low

  * Version and changelog updated for pre-release 0.2009.42-1
  * Fixes: NB#140927 - Media Player - Radio stations are not sorted correctly if bookmark starts with a special character
  * Fixes: NB#139820 - Use-Time:mafw-dbus-wrapper wakes up after pausing the local audio playback.

 -- Mika Tapojärvi <mika.tapojarvi@sse.fi>  Mon, 12 Oct 2009 17:22:01 +0300

libmafw (0.1.2009.40-1) unstable; urgency=low

  * Version and changelog updated for pre-release 0.2009.40-1
  * PR_1_1_baseline copied from trunk.
  * Fixes: NB#139371 - User-defined (imported) playlists not sorted by the alphabet

 -- Mika Tapojärvi <mika.tapojarvi@sse.fi>  Sun, 04 Oct 2009 15:44:00 +0300

libmafw (0.1.2009.39-1) unstable; urgency=low

  * MAFW, pre-release 0.1.2009.39-1
  * Fixes: NB#137530 - Adding several metadata values with the same key, ends into a crash 
  * Fixes: NB#128909 - Redundant error message displayed at the end of playback
  * Fixes: NB#137371 - MAFW crashed when trying to access Automatic playlists
  * Fixes: NB#134084 - <coverity> RESOURCE_LEAK from libmafw-tracker-source
  * Fixes: NB#134728 - <MemLeak> mafw-gst-renderer-worker.c
  * Fixes: NB#134730 - <MemLeak> mafw-gst-renderer.c
  * Fixes: NB#134807 - <MemLeak> mafw-shared-0.1.2009.33/libmafw-shared/ mafw-proxy-renderer.c
  * Fixes: NB#134817 - <MemLeak> mafw-tracker-source-0.1.2009.34/libmafw-tracker-source/ tracker-iface.c
  * Fixes: NB#137363 - M4A audio codec clips arent played to full duration
  * Fixes: NB#134799 - <MemLeak> mafw-shared-0.1.2009.33/mafw-playlist-daemon playlist-wrapper.c
  * Fixes: NB#134495 - State changed signal does not come sometimes when stream is played 

 -- Juha Kellokoski <veitikka6@gmail.com>  Fri, 18 Sep 2009 14:21:32 +0300
