## libmafw 0.2.2010.06-1+0m5

=== debian/changelog ===
libmafw (0.2.2010.06-1+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- mika tapojarvi <ext-mika.tapojarvi@nokia.com>  Wed, 17 Feb 2010 15:38:44 +0200

libmafw (0.2.2010.06-1) unstable; urgency=low

  * Fixes: NB#155329 - Backwards compatibility problems with strict version dependency in libmafw0

 -- Mika Tapojärvi <mika.tapojarvi@sse.fi>  Wed, 10 Feb 2010 21:38:58 +0200

libmafw (0.2.2009.52-1) unstable; urgency=low

  * Rebuild for 2009.52-1.

 -- Mika Tapojärvi <mika.tapojarvi@sse.fi>  Sun, 20 Dec 2009 22:28:28 +0200

libmafw (0.2.2009.50-2) unstable; urgency=low

  * Rebuild for 2009.50-2.

 -- Mika Tapojärvi <mika.tapojarvi@sse.fi>  Thu, 10 Dec 2009 19:02:35 +0200

libmafw (0.2.2009.50-1) unstable; urgency=low

  * Version and changelog updated for pre-release 0.2009.50-1

 -- Mika Tapojärvi <mika.tapojarvi@sse.fi>  Tue, 08 Dec 2009 09:21:15 +0200

libmafw (0.2.2009.49-1) unstable; urgency=low

  * Rebuild for 2009.49-1.

 -- Mika Tapojärvi <mika.tapojarvi@sse.fi>  Tue, 01 Dec 2009 19:24:07 +0200

libmafw (0.2.2009.48-2) unstable; urgency=low

  * Pre-release PR 1.2 2009.48-2 tag.

 -- Tuomas Kämäräinen <tuomas.kamarainen@nokia.com>  Fri, 27 Nov 2009 11:56:14 +0200

libmafw (0.2.2009.48-1) unstable; urgency=low

  * Pre-release PR 1.2 2009.48-1 tag.

 -- Mika Tapojärvi <mika.tapojarvi@sse.fi>  Tue, 24 Nov 2009 21:56:14 +0200

libmafw (0.1.2009.47-2) unstable; urgency=low

  * Version increased.

 -- Tuomas Kamarainen <tuomas.kamarainen@nokia.com>  Fri, 20 Nov 2009 13:26:19 +0300

libmafw (0.1.2009.42-2) unstable; urgency=low

  * Version increased.

 -- Mika Tapojärvi <ext-mika.tapojarvi@nokia.com>  Tue, 20 Oct 2009 13:26:19 +0300
